POST /v1/runs/{id}/nodes/{nodeId}/resume
Resume a waiting node in a workflow run
POST
/v1/runs/{id}/nodes/{nodeId}/resume
Resume a waiting node in a workflow run
Path Parameters
id
string
required
path
Run ID
nodeId
string
required
path
Node ID
Query Parameters
secret
string
required
query
Per-workflow webhook secret
Request Body
Resume payload
application/jsonOne of:
Option 1
Option 2
data
object
forEachContext
object
index
integer
parentNodeId
string
Legacy fields kept for backward-compatible JSON deserialization.
New code should only use Stack.
stack
object[]
Stack holds nesting levels from outermost to innermost.
Single-level for-each uses a stack of length 1.
Array of:
index
integer
Current iteration index (0, 1, 2...)
parentNodeId
string
For-each node ID (e.g., "for_each_send")
total
integer
Total iterations (for progress tracking)
total
integer
Responses
200
OK
application/jsonaction
string
"resumed" or "skipped"
reason
string
400
Bad Request
401
Unauthorized
404
Not Found
curl -X POST 'https://api.example.com/v1/runs/string/nodes/string/resume?secret=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/runs/string/nodes/string/resume?secret=string', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/runs/string/nodes/string/resume?secret=string', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/runs/string/nodes/string/resume?secret=string", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "action": "<string>", "reason": "<string>"}
API Playground
Try this endpoint
POST
/v1/runs/{id}/nodes/{nodeId}/resume
